library(ggplot2)
library(ggmap)
library(sp)
library(maptools)
library(maps)
library(readxl)


##Map the global distribution of study sites
site_end <- read_excel("your_path/Appendix_S1.xlsx", sheet = 1)
site_inv <- read_excel("your_path/Appendix_S2.xlsx", sheet = 1)

##general point
mp <- NULL #Define an empty map
mapworld <- borders("world",colour = "gray50",fill="white") #Basic mapping
mp <- ggplot()+mapworld+ylim(-90,90) #Use ggplot to render, and map longitudinals range from -90 to 90
mp_end <- mp+geom_point(aes(x=site_end$longitude,y=site_end$latitude,size=NULL),color="#808080")+scale_size(range=c(1,1))+theme(legend.position = "none")
#Draw a map with points, geom_point is to draw points on the map, X-axis is longitude information, Y-axis is latitude information, color is gray, scale_size is to make points larger,theme is to remove legend
mp_end #Present the map
mp_inv <- mp+geom_point(aes(x=site_inv$longitude,y=site_inv$latitude,size=NULL),color="#000000")+scale_size(range=c(1,1))+theme(legend.position = "none")
#Draw a map with points, geom_point is to draw points on the map, x axis is longitude information, y axis is latitude information, color is black, scale_size is to make points larger,theme is to remove legend
mp_inv #Present the map
mp_all <- mp+geom_point(aes(x=site_end$longitude,y=site_end$latitude,size=NULL),color="#808080")+geom_point(aes(x=site_inv$longitude,y=site_inv$latitude,size=NULL),color="#000000")+scale_size(range=c(1,1))+theme(legend.position = "none")
#Draw a map with points, geom_point is to draw points on the map, x axis is longitude information, y axis is latitude information, color is color, scale_size is to make points larger,theme is to remove legend
mp_all #Present the map

##Dot size represents level of relative genetic diversity
mp_end <- mp+geom_point(aes(x=site_end$longitude,y=site_end$latitude,size=NULL),size = 3*site_end$y1, color="#808080")+scale_size(range=c(1,1))+theme(legend.position = "none")
mp_end
mp_inv <- mp+geom_point(aes(x=site_inv$longitude,y=site_inv$latitude,size=NULL),size = 3*site_inv$y1, color="#000000")+scale_size(range=c(1,1))+theme(legend.position = "none")
mp_inv
mp_all <- mp+geom_point(aes(x=site_end$longitude,y=site_end$latitude,size=NULL),size = 3*site_end$y1,color="#808080")+geom_point(aes(x=site_inv$longitude,y=site_inv$latitude,size=NULL),size = 3*site_inv$y1,color="#000000")+scale_size(range=c(1,1))+theme(legend.position = "none")
mp_all